Name: twm
Version: 1.0.7
Release: %mkrel 1

Summary: Tab Window Manager for the X Window System
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1: system.twmrc
Source2: twm
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
Requires: desktop-common-data
BuildRequires: libx11-devel 
BuildRequires: libxext-devel 
BuildRequires: libxmu-devel 
BuildRequires: libxt-devel 
BuildRequires: x11-util-macros 

%description
Twm is a window manager for the X Window System. It provides titlebars, shaped
windows, several forms of icon management, user-defined macro functions,
click-to-type and pointer-driven keyboard focus, and user-specified key and
pointer button bindings.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS -DSYSTEM_INIT_FILE='\"%{_sysconfdir}/X11/twm/system.twmrc\"'" %configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_sysconfdir}/{menu.d,X11/twm}
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/X11/twm/system.twmrc-menu
install -m 755 %{SOURCE2} %{buildroot}/%{_sysconfdir}/menu.d


%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/X11/twm
%{_datadir}/X11/twm/system.twmrc
%{_sysconfdir}/menu.d/twm
%{_bindir}/twm
%{_mandir}/man1/twm.1.bz2


%changelog
* Fri May 10 2013 Ken <lxgator at gmail dot com> 1.0.7-1pclos2013
- 1.0.7

* Thu Mar 28 2007 Neverstopdreaming <neverstopdreaming@gmail.com> 1.0.3-1pclos2007                                                                              - new release
- update

* Thu Mar 28 2007 Neverstopdreaming <neverstopdreaming@gmail.com> 1.0.1-7pclos2007
- Fix distro name in menu

* Fri Nov 03 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 1.0.1-6pclos2007
- Build for PCLinuxOS 2007

